Microsoft Project Oxford client SDK and samples
====================================

This repo contains the client libraries and samples that demonstrate the [Microsoft Project
Oxford APIs](<https://www.projectoxford.ai>), an evolving portfolio of REST APIs
that enable developers to leverage the power of Microsoft's natural data
understanding and easily add intelligent services into their solutions. The
Project Oxford APIs are divided into three areas:  

##### Vision
-  **[Computer Vision APIs](<https://www.projectoxford.ai/vision>) (Preview):** Understand images and intelligently generate thumbnails
-  **[Face APIs](<https://www.projectoxford.ai/face>) (Preview):** See your users with face detection and recognition
-  **[Emotion APIs](<https://www.projectoxford.ai/emotion>) (Preview):** Understand your users with emotion recognition
-  **[Video APIs](<https://www.projectoxford.ai/video>) (Preview):** Understand and transform your videos


##### Speech
-  **[Speech APIs](<https://www.projectoxford.ai/speech>) (Preview):** Communicate with your users with speech recognition and synthesis powered by Bing
-  **[Speaker Recognition APIs](https://www.projectoxford.ai/spid) (Preview):** Recognize your users from their voice 
-  **[CRIS, Custom Recognition Intelligent Service](<https://www.projectoxford.ai/cris>) (Private Preview):** Customize both language and acoustic models for better speech recognition tailored to your application


##### Language
-  **[Spell Check APIS](<https://www.projectoxford.ai/spellcheck>) (Preview):** Detect and correct common and uncommon spelling errors via the Bing document index
-  **[LUIS, Language Understanding Intelligent Services](<https://www.projectoxford.ai/luis>) (Preview):** Understand natural language commands tailored to your application

To learn more and sign-up for Project Oxford, [visit our
website](<http://www.ProjectOxford.ai>). You must obtain [subscription
keys](<http://www.projectoxford.ai/subscription>) for different services and will
need a Microsoft account.

#### For information about our latest release, check out the [Release Page](</Releases/>)

Getting started
===============
This repo contains a suite of SDKs that includes REST wrappers and samples to
develop using the Microsoft Project Oxford APIs. Each SDK includes a guide for
installation and use. To begin, select an API and pick the platform of
your choice:

-   [Face](</Face/>)

-   [Emotion](</Emotion/>)

-   [Computer Vision](</Vision/>)

-   [Speech](</Speech/>)

-   [Speaker Recognition](</SpeakerRecognition/>)

-   [Video](</Video/>)

**Don't see what you're looking for?** We're working on expanding our offerings and would love to hear from you what SDKs you want to see next. Let us know on the [Project Oxford Forums](<https://social.msdn.microsoft.com/forums/azure/en-US/home?forum=mlapi>).


Contributing
============
We welcome contributions and are always looking for new SDKs, input, and
suggestions. Feel free to file issues on the repo and we'll address them as we can. You can also learn more about how you can help on the [Contribution
Rules & Guidelines](</CONTRIBUTING.md>).

For questions, feedback, or suggestions about Project Oxford services, reach out to us directly on our [Project Oxford Forums](<https://social.msdn.microsoft.com/forums/azure/en-US/home?forum=mlapi>).



License
=======

All Project Oxford SDKs and samples are licensed with the MIT License. For more details, see
[LICENSE](</LICENSE.md>).

Sample images are licensed separately, please refer to [LICENSE-IMAGE](</LICENSE-IMAGE.md>).

